package com.dzeio.openhealth

import android.app.Application
import com.google.android.material.color.DynamicColors
import dagger.hilt.android.HiltAndroidApp

@HiltAndroidApp
class Application : Application() {
    companion object {
        const val TAG = "OpenHealth"
    }

    override fun onCreate() {
        super.onCreate()

        // Android Dynamics Colors
        DynamicColors.applyToActivitiesIfAvailable(this)
    }
}