package com.dzeio.openhealth.core

import android.content.Context
import android.util.Log
import androidx.work.WorkManager
import androidx.work.WorkRequest
import androidx.work.Worker
import androidx.work.WorkerParameters

abstract class BaseService(context: Context, params: WorkerParameters) : Worker(context, params) {


    companion object {

        fun schedule(tag: String, request: WorkRequest, context: Context) {
            WorkManager.getInstance(context)
                .cancelAllWorkByTag(tag)

            Log.d("OpenHealth/BaseService", "Scheduled Job $tag")
            WorkManager.getInstance(context)
                .enqueue(request)

        }
    }
}